Bug 846412 - Bluetooth doesn't work when system wakes up or changes runlevel
Bluetooth doesn't work when system wakes up or changes runlevel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 13:11 EDT by Garrett Mitchener
Modified: 2013-07-31 16:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 716509
Environment:
Last Closed: 2013-07-31 16:54:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Garrett Mitchener 2012-08-07 13:11:01 EDT
Some of this is still present in Fedora 17.  I've worked around most of it by putting a script in /etc/pm/sleep.d that restarts bluetooth when the system wakes up.  See http://forums.fedoraforum.org/showthread.php?t=269057  Most of the time that works, but other times my bluetooth keyboard just won't reconnect.

+++ This bug was initially created as a clone of Bug #716509 +++

Created attachment 509817 [details]
lsusb -vvv (part regarding Bluetooth device)

Description of problem:
When I wake up my system or change it's runlevel, Bluetooth suddenly stops working, even though it's been working in previous runlevel/before sleep.
I'm not able to use my Bluetooth keyboard and mouse (they seem to just lose connectivity).
Only way of getting things work is to restart bluetooth.service.

I've tried fixing that problem by changing bluetooth.service option Restart to always, as I've noticed that when such an incident happens, bluetooth.service is dead:

    bluetooth.service - Bluetooth Manager
          Loaded: loaded (/lib/systemd/system/bluetooth.service)
          Active: inactive (dead) since Wed, 08 Jun 2011 08:37:57 +0200; 40s ago
         Process: 860 ExecStart=/usr/sbin/bluetoothd -n (code=exited, status=0/SUCCESS)
          CGroup: name=systemd:/system/bluetooth.service

Now, after changing this option bluetooth.service restarts after each exit (and it's status is always active), but nothing changes - I'm still not able to use my Bluetooth devices until I restart this service by hand (systemctl restart bluetooth.service).

My Bluetooth device is:
Bus 002 Device 004: ID 1310:0001 Roper Class 1 Bluetooth Dongle, as reported by lsusb
Detailed information (lsusb -vvv) in attachment.


Version-Release number of selected component (if applicable):
bluetoothd --version: 4.87

How reproducible:
Only this box (everything works fine on laptop, and used to work fine on this box with F14).

Steps to Reproduce:
1. Change runlevel/sleep and then wake PC up.
  
Actual results:
Unable to use Bluetooth devices.

Expected results:
Possibility to use Bluetooth devices, probably after some time.

Additional info:
To get Bluetooth working, I had to use this trick: http://kdekorte.blogspot.com/2011/04/fedora-15-bluetooth.html

--- Additional comment from maciej.malecki@hotmail.com on 2011-06-24 13:07:34 EDT ---

Created attachment 509819 [details]
my /etc/systemd/system/bluetooth.service

--- Additional comment from garrett.mitchener@gmail.com on 2012-06-08 09:49:49 EDT ---

I've seen this in Fedora 16, and it's still present in Fedora 17.  I have a bluetooth keyboard, and after suspending and resuming, I have to run 'service bluetooth restart' for it to work again, and that only works some of the time.  In /var/log/messages, I see:


Jun  8 09:32:59 atreyu bluetoothd[21039]: HCI dev 0 down
Jun  8 09:32:59 atreyu bluetoothd[21039]: Adapter /org/bluez/21039/hci0 has been disabled
Jun  8 09:32:59 atreyu bluetoothd[21039]: HCI dev 0 unregistered
Jun  8 09:32:59 atreyu bluetoothd[21039]: Stopping hci0 event socket
Jun  8 09:32:59 atreyu bluetoothd[21039]: Unregister path: /org/bluez/21039/hci0
Jun  8 09:32:59 atreyu bluetoothd[21039]: Endpoint unregistered: sender=:1.59 path=/MediaEndpoint/A2DPSource
Jun  8 09:32:59 atreyu bluetoothd[21039]: Endpoint unregistered: sender=:1.59 path=/MediaEndpoint/HFPAG
Jun  8 09:32:59 atreyu bluetoothd[21039]: bluetoothd[21039]: HCI dev 0 down
Jun  8 09:32:59 atreyu bluetoothd[21039]: bluetoothd[21039]: Adapter /org/bluez/21039/hci0 has been disabled
Jun  8 09:32:59 atreyu bluetoothd[21039]: bluetoothd[21039]: HCI dev 0 unregistered
Jun  8 09:32:59 atreyu bluetoothd[21039]: bluetoothd[21039]: Stopping hci0 event socket
Jun  8 09:32:59 atreyu bluetoothd[21039]: bluetoothd[21039]: Unregister path: /org/bluez/21039/hci0
Jun  8 09:32:59 atreyu bluetoothd[21039]: bluetoothd[21039]: Endpoint unregistered: sender=:1.59 path=/MediaEndpoint/A2DPSource
Jun  8 09:32:59 atreyu bluetoothd[21039]: bluetoothd[21039]: Endpoint unregistered: sender=:1.59 path=/MediaEndpoint/HFPAG
Jun  8 09:32:59 atreyu kernel: [11161.816544] done.
Jun  8 09:32:59 atreyu dbus-daemon[13645]: dbus[13645]: [system] Rejected send message, 4 matched rules; type="error", sender=":1.59" (uid=500 pid=14478 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.108" (uid=0 pid=21039 comm="/usr/sbin/bluetoothd -n ")
Jun  8 09:32:59 atreyu dbus-daemon[13645]: dbus[13645]: [system] Rejected send message, 4 matched rules; type="error", sender=":1.59" (uid=500 pid=14478 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.108" (uid=0 pid=21039 comm="/usr/sbin/bluetoothd -n ")
Jun  8 09:32:59 atreyu dbus[13645]: [system] Rejected send message, 4 matched rules; type="error", sender=":1.59" (uid=500 pid=14478 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.108" (uid=0 pid=21039 comm="/usr/sbin/bluetoothd -n ")
Jun  8 09:32:59 atreyu dbus[13645]: [system] Rejected send message, 4 matched rules; type="error", sender=":1.59" (uid=500 pid=14478 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.108" (uid=0 pid=21039 comm="/usr/sbin/bluetoothd -n ")
Jun  8 09:32:59 atreyu bluetoothd[21039]: HCI dev 0 registered
Jun  8 09:32:59 atreyu bluetoothd[21039]: Listening for HCI events on hci0

--- Additional comment from garrett.mitchener@gmail.com on 2012-06-08 09:56:03 EDT ---

Probably related:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/824144

--- Additional comment from garrett.mitchener@gmail.com on 2012-06-08 09:58:24 EDT ---

Probably a duplicate of bug #727106

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 11:21:45 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from garrett.mitchener@gmail.com on 2012-08-07 13:05:06 EDT ---

I'm still seeing some problems with bluetooth after suspending the system on Fedora 17.
Comment 1 Fedora End Of Life 2013-07-03 16:41:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 16:54:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.